package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsOrderFlagEnum implements BaseEnum {
    SAVE("SAVE","保存"),
    SUBMIT("SUBMIT","提交"),
    AGREE("AGREE","通过"),
    REJECT("REJECT","驳回"),
    REFUNDED("REFUNDED","已返还"),
    NOTREFUND("NOTREFUND","未返还"),
    WAIT_REVIEW("WAIT_REVIEW", "待复核"),
    REVIEWED("REVIEWED", "已复核"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
